import { Keypair, PublicKey, Transaction } from '@solana/web3.js';
import { IdentityDriver } from './IdentityDriver';
import { Metaplex } from "../../Metaplex";
import { MetaplexPlugin } from "../../MetaplexPlugin";
import { KeypairSigner } from "../../shared";
export declare const keypairIdentity: (keypair: Keypair) => MetaplexPlugin;
export declare class KeypairIdentityDriver extends IdentityDriver implements KeypairSigner {
    readonly keypair: Keypair;
    readonly publicKey: PublicKey;
    readonly secretKey: Uint8Array;
    constructor(metaplex: Metaplex, keypair: Keypair);
    signMessage(message: Uint8Array): Promise<Uint8Array>;
    signTransaction(transaction: Transaction): Promise<Transaction>;
    signAllTransactions(transactions: Transaction[]): Promise<Transaction[]>;
}
